Scientific Linux 安全性更新:SL5.x、SL6.x、SL7.x i386/x86_64 上的 java-1.6.0-openjdk

critical Nessus Plugin ID 88407
新推出!Plugin 嚴重性目前使用 CVSS v3

計算 Plugin 嚴重性已更新為預設使用 CVSS v3 沒有 CVSS v3 評分的 Plugin 會回歸到以 CVSS v2 計算嚴重性。您可在設定下拉式選單中切換顯示嚴重性的喜好設定

Synopsis

遠端 Scientific Linux 主機缺少一個或多個安全性更新。

描述

在 OpenJDK 之 AWT 元件的 JPEG 影像格式解碼器中發現一個超出邊界寫入瑕疵。特製的 JPEG 影像可造成 Java 應用程式損毀,或可能執行任意程式碼。
未受信任的 Java 應用程式或 applet 可利用此瑕疵,繞過 Java Sandbox 限制。(CVE-2016-0483)

在 OpenJDK 的 2D 元件中,字型剖析程式碼存在一個整數正負號問題。特製的字型檔案可能導致 Java 虛擬機器執行任意程式碼,從而允許未受信任的 Java 應用程式或 applet 繞過 Java Sandbox 限制。(CVE-2016-0494)

據發現,OpenJDK 的 JAXP 元件未正確強制 totalEntitySizeLimit 限制。可以使 Java 應用程式處理特製 XML 檔案的攻擊者,可利用此瑕疵來使應用程式消耗過量記憶體。
(CVE-2016-0466)

在 OpenJDK 的 Networking 和 JMX 元件中發現多個瑕疵。未受信任的 Java 應用程式或 applet 可利用這些瑕疵,繞過特定 Java Sandbox 限制。(CVE-2016-0402、CVE-2016-0448)

注意:此更新也不允許在憑證路徑處理中使用 MD5 雜湊演算法。將 MD5 從在 java.security 檔案中定義的 jdk.certpath.disabledAlgorithms 安全性內容中移除後,可重新啟用 MD5 的使用。

所有執行中的 OpenJDK Java 執行個體都必須重新啟動,更新才能生效。

解決方案

更新受影響的套件。

另請參閱

http://www.nessus.org/u?ca74feb3

Plugin 詳細資訊

嚴重性: Critical

ID: 88407

檔案名稱: sl_20160126_java_1_6_0_openjdk_on_SL5_x.nasl

版本: 2.6

類型: local

代理程式: unix

已發布: 2016/1/27

已更新: 2021/1/14

相依性: ssh_get_info.nasl

風險資訊

VPR

風險因素: Medium

分數: 6

CVSS v2

風險因素: Critical

基本分數: 10

媒介: AV:N/AC:L/Au:N/C:C/I:C/A:C

弱點資訊

CPE: p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-debuginfo, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-demo, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-devel, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-javadoc, p-cpe:/a:fermilab:scientific_linux:java-1.6.0-openjdk-src, x-cpe:/o:fermilab:scientific_linux

必要的 KB 項目: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

修補程式發佈日期: 2016/1/26

弱點發布日期: 2016/1/21

參考資訊

CVE: CVE-2016-0402, CVE-2016-0448, CVE-2016-0466, CVE-2016-0483, CVE-2016-0494